Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159915 - CVE-2005-1762 x86_64 crash (ptrace-canonical)
Summary: CVE-2005-1762 x86_64 crash (ptrace-canonical)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=vendorsec,pub...
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-09 09:29 UTC by Mark J. Cox
Modified: 2013-08-06 01:14 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:18:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Mark J. Cox 2005-06-09 09:29:01 UTC
The following upstream patch checks if ptrace RIP is canonical; without this a
user can cause a crash.

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=d1099e8a18960693c04507bdd7b9403db70bfd97

Comment 2 Ernie Petrides 2005-06-10 20:37:36 UTC
Mark, this bug and bug 159917 are mixed up.  You reversed the CVE names.

Changing this summary to "CAN-2005-0756 x86_64 crash (ptrace-canonical)".

*** This bug has been marked as a duplicate of 155978 ***

Comment 3 Ernie Petrides 2005-06-15 01:05:35 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.8.EL).


Comment 6 Red Hat Bugzilla 2005-09-28 15:18:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.